import { FeaturedProductsResponse } from '../../utils/interface/productInterface';
import apiEndpoints from '../apiEndpoints';

export const getFeaturedProducts =
  async (): Promise<FeaturedProductsResponse> => {
    const response = await fetch(
      `http://localhost:3000${apiEndpoints.featuredProducts}`
    );

    const data: FeaturedProductsResponse = await response.json();

    if (!response.ok) {
      throw new Error(data.message || 'Something went wrong!');
    }

    return data;
  };
